%define upstream_name    Parse-ErrorString-Perl
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Parse error messages from the perl interpreter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Pod::POM) >= 0.270.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Module to parse error messages from the perl interpreter.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_bindir}/check_perldiag
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.270.0-6.mga10
+ Revision: 2204229
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.270.0-5.mga9
+ Revision: 1809981
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.270.0-4.mga8
+ Revision: 1505892
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.270.0-3.mga7
+ Revision: 1285495
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.270.0-2.mga7
+ Revision: 1166132
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.270.0-1.mga7
+ Revision: 1159609
- add BR on perl(inc::Module::Install)
- update to 0.27

* Sun Jun 19 2016 pterjan <pterjan> 0.220.0-2.mga6
+ Revision: 1031688
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.220.0-1.mga6
+ Revision: 1002285
- New version 0.22

* Thu Feb 18 2016 umeabot <umeabot> 0.210.0-2.mga6
+ Revision: 966709
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 846611
- update to 0.21

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 749561
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 539290
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 491769
- update to 0.20

* Tue Aug 06 2013 sander85 <sander85> 0.190.0-1.mga4
+ Revision: 464226
- update to 0.19

* Mon Aug 05 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 463963
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 371528
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 28714
- mageia rebuild
- imported package perl-Parse-ErrorString-Perl

